
Name:    libkdegames
Summary: Common code and data for many KDE games
Version: 4.10.5
Release: 1%{?dist}

# KDE e.V. may determine that future GPL versions are accepted
License: GPLv2 or GPLv3
URL:     https://projects.kde.org/projects/kde/kdegames/%{name}
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires: kdelibs4-devel >= %{version}
BuildRequires: pkgconfig(openal)
BuildRequires: pkgconfig(sndfile)

Obsoletes: kdegames-libs < 6:4.9.60
Provides:  kdegames-libs = 6:%{version}-%{release}
Provides:  kdegames-libs%{?_isa} = 6:%{version}-%{release}

Requires: kdelibs4%{?_isa} >= %{_kde4_version}

%description
%{summary}.

%package devel
Summary:  Development files for %{name} 
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: kdelibs4-devel 
Obsoletes: kdegames-devel < 6:4.9.60
Provides:  kdegames-devel = 6:%{version}-%{release}
Provides:  kdegames4-devel = %{version}-%{release}

%description devel
%{summary}.


%prep
%setup -q


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc COPYING README TODO
%{_kde4_libdir}/libkdegames.so.6*
%{_kde4_libdir}/libkdegamesprivate.so.1*
%{_kde4_appsdir}/carddecks/
%{_kde4_appsdir}/kconf_update/kgthemeprovider-migration.upd

%files devel
%{_kde4_includedir}/*.h
%{_kde4_includedir}/highscore/
%{_kde4_includedir}/KDE/*
%{_kde4_includedir}/libkdegamesprivate/
%{_kde4_libdir}/cmake/KDEGames/
%{_kde4_libdir}/libkdegames.so
%{_kde4_libdir}/libkdegamesprivate.so


%changelog
* Sun Jun 30 2013 Than Ngo <than@redhat.com> - 4.10.5-1
- 4.10.5

* Sat Jun 01 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.10.4-1
- 4.10.4

* Mon May 06 2013 Than Ngo <than@redhat.com> - 4.10.3-1
- 4.10.3

* Sun Mar 31 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.10.2-1
- 4.10.2

* Sat Mar 02 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.10.1-1
- 4.10.1

* Thu Feb 07 2013 Rex Dieter <rdieter@fedoraproject.org> 4.10.0-1
- first try

